Package org.sonatype.maven.polyglot.groovy

## Class GroovyMapping

- java.lang.Object
- - org.sonatype.maven.polyglot.mapping.MappingSupport
  - - org.sonatype.maven.polyglot.groovy.GroovyMapping

All Implemented Interfaces:
  `org.sonatype.maven.polyglot.mapping.Mapping`

    @Component(role=org.sonatype.maven.polyglot.mapping.Mapping.class,
               hint="groovy")
    public class GroovyMapping
    extends org.sonatype.maven.polyglot.mapping.MappingSupport

Groovy model mapping.

Since:
  0.7
Author:
  Jason Dillon

### Field Summary

### Fields inherited from interface org.sonatype.maven.polyglot.mapping.Mapping

`ARTIFACT_ID_PROPERTY, DESCRIPTION_PROPERTY, GROUP_ID_PROPERTY, NAME_PROPERTY, PACKAGING_PROPERTY, PROPERTY_PREFIX, URL_PROPERTY, VERSION_PROPERTY`

### Constructor Summary

Constructors
`GroovyMapping()`

### Method Summary

### Methods inherited from class org.sonatype.maven.polyglot.mapping.MappingSupport

`accept, getAcceptLocationExtensions, getAcceptOptionKeys, getFlavour, getLocation, getPomNames, getPriority, getReader, getWriter, locatePom, setAcceptLocationExtensions, setAcceptOptionKeys, setPomNames, setPriority`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.sonatype.maven.polyglot.mapping.Mapping

`getEnhancementProperties`

### Constructor Detail

#### GroovyMapping

    public GroovyMapping()